> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List ticket closure forms

> List the active closure forms and their fields. Use the field ids as keys of closure_answers when a ticket is resolved or closed.



## OpenAPI

````yaml GET /ticket-closure-forms
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /ticket-closure-forms:
    get:
      description: >-
        List the active closure forms and their fields. Use the field ids as
        keys of closure_answers when a ticket is resolved or closed.
      parameters:
        - in: header
          name: x-account-id
          description: The account that owns the closure forms
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Active closure forms
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TicketClosureForm'
        '422':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TicketClosureForm:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        category_ids:
          type: array
          description: >-
            Categories the form applies to, including their subcategories. Empty
            means every ticket.
          items:
            type: string
            format: uuid
        schema:
          type: array
          items:
            $ref: '#/components/schemas/TicketClosureField'
        updated_at:
          type: string
          format: date-time
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
    TicketClosureField:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Key to use in closure_answers.
        label:
          type: string
        placeholder:
          type: string
        type:
          type: string
          enum:
            - text
            - textarea
            - select
        required:
          type: boolean
        options:
          type: array
          description: Allowed values for select fields.
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.